package org.apache.bcel.verifier.structurals;

package .tmp;

import org.apache.bcel.generic.InstructionHandle;

public interface Subroutine {
  boolean contains(InstructionHandle paramInstructionHandle);
  
  int[] getAccessedLocalsIndices();
  
  InstructionHandle[] getEnteringJsrInstructions();
  
  InstructionHandle[] getInstructions();
  
  InstructionHandle getLeavingRET();
  
  int[] getRecursivelyAccessedLocalsIndices();
  
  org.apache.bcel.verifier.structurals.Subroutine[] subSubs();
}
